html {
  scroll-behavior: smooth;
}
 /* match your fixed header height */

:root {
    --header-height: 90px;
}

section[id],div[id] {
    scroll-margin-top: var(--header-height);
}

@media (max-width: 768px) {
    :root {
        --header-height: 70px;
    }
}
a.text-dark {
  text-decoration: none;
}

a.text-dark:hover {
  text-decoration: underline;
}

.btn-outline-primary {
  will-change: transform;
}

.btn-outline-primary:hover {
  transform: translate3d(5px, 0, 0);
}

.carousel-arrow {
  cursor: pointer;
  font-size: 18px;
  color: #212529;
  transition: color 0.3s ease, transform 0.3s ease;
}

.carousel-arrow:hover {
  color: #125988;
  transform: scale(1.2);
}

/* Media Page Start */
#section-medialist .media .carousel-inner h6 span {
  color: #1cad91;
  font-size: 13px;
}

/* Media letter Start */
#section-media-letter .media-letter .media-item:hover {
  background: #05ac8a10;
}

#section-media-letter .media-letter .media-item small {
  color: #1cad91 !important;
  font-size: 13px;
}

#section-media-letter .media-letter h5 span {
  color: #1cad91;
}



/* ✅ FIXED SELECTOR */
#section-medialist .media .carousel-inner a:hover .title {
  max-height: 150px;
}

#section-medialist .media .carousel-inner a:hover .description {
  max-height: 300px;
}

/* utility Start */

#impact-scale-utility p.text-info {
  color: #00f9c9 !important;
  font-size: 14px;
  font-weight: 500;
}

#impact-scale-utility .impact-divider {
  background: rgba(255, 255, 255, 0.35);
}

#impact-scale-utility .fw-bold {
  font-weight: 500 !important;
}

.service-item .no-animation, .no-animation {
  transform: none !important;
  transition: none !important;
}

/* strategic-initiatives start */
#section-strategic .strategic-initiatives .Benefitlist .img-wrap-icon {
  background: #1cad91;
  width: 60px;
  height: 60px;
  margin: 1rem 0px;
  border-radius: 50%;
  line-height: 60px;
  text-align: center;
}

#section-strategic .strategic-initiatives .Benefitlist p,
#section-strategic .strategic-initiatives .icon p,
#section-strategic .strategic-initiatives .icon li {
  font-size: 13px;
}

.strategic-initiatives ul {
  list-style: none;
  padding-left: 0;
  margin: 0;
}

#section-strategic .strategic-initiatives .icon p i,
#section-strategic .strategic-initiatives .icon li i {
  margin-right: 20px;
  color: #1cad91;
}

.icon-circle {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  background: #e8f7f0;
  color: #0f9d58;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
}

/* Sustibility */
.section-Decarbonization {
  background-size: 26%;
  background-position-x: 52%;
}

.section-Decarbonization .border-primary {
  border-color: #1cad91  !important;
}


/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/* investor */
#section-spclPurpose {
  background-color: #004b88;
  background-image: none;
  /* padding: 60px 0; */
  color: #fff;
}


/* New change spaceing 1912026 */
.typewriter {
  margin: 0 auto;
  text-align: center;

  overflow: hidden;
  white-space: wrap;

  width: 0;
  animation: typing 3.5s steps(40, end) forwards;
}

@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

.container{
  padding-left: 20px;
  padding-right:20px;
}
.media{
  padding: 30px  0px;
}
.section{
  padding: 30px 0px 0px 0px;
}
.career-section,.investor-section,.utility-section,.susti-section,.about-section,.project-section,.psp-section,.home-section{
  padding:35px 0px !important;
}
.career-section-bg{
   padding:35px 0px 70px 0px !important;
}
.section-title p {
    max-width: 100%;
    margin: 1rem auto;
}
.media .media-card{
  margin:30px 0px 0px 0px ;
}

.career-overview .career-card{
  padding:15px 0px 10px 0px;
}
.page-header h2.display-3 {
    font-weight: 600;
}

.section-careercoreval .image-right {
        width: 55%;
        position: absolute;
        top: 30%;
        right: 0;
  }

/* utility */
 .status-tag {
    position: absolute;
    top: 12px;
    left: 12px; /* change to right if needed */
    padding: 5px 12px;
    font-size: 12px;
    font-weight: 600;
    border-radius: 20px;
    z-index: 2;
    background-color: #1cad91;
    color: #ffffff;
}

.status-tag.upcoming {
    background-color: #125988;
    color: #ffffff;
}
.status-tag {
    top: 12px;
    right: 12px;
    left: auto;
}

#leadershipTeam .social-icon{
  cursor: pointer;
}

/* thank you page */
.thank-you-div{
    max-width: 480px;
    margin: 50px auto 20px auto;
    padding: 20px;
    border-radius: 12px;
    /* box-shadow: rgba(0, 0, 0, 0.06) 0px 6px 20px; */
    background: rgb(255, 255, 255);
    font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial;
    text-align: center;
    /* border: 1px solid rgb(238, 242, 246); */
    min-height: calc(100vh - 610px);
    display: flex;
    justify-content: center;
    align-items: center;
}
.thank-you-icon{
  font-size: 50px;
}
.nocode{
  border-top-right-radius: 0px;
   border-bottom-right-radius: 0px;
}
.nocode-form-control{
   border-top-left-radius: 0px;
   border-bottom-left-radius: 0px;
}

nav .breadcrumb{
  margin-bottom: 0px !important;
}

.bottom-20{
  bottom: 12%;
}
.psp-section .top{
  top:45%;
}
.bg-light{
background-color: #ededed;
}
.abt-pg-counter b{
  font-weight: 700 !important;
}
/* //swiper arrow */
.swiper-arrow{
  cursor: pointer;
  font-size: 14px;
}
.about-sustainblilty {
    background: url('../img/new img/The-World’s-Transition-To--Electrification-Is-Irreversible.-banner.webp') no-repeat bottom center;
    background-size: cover;
    padding-bottom: 200px;
}
#section-spclPurpose ul li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 1em;          /* ✅ TOP aligned with first text line */
    width: 8px;
    height: 8px;
    background-color: #1cad91;
    border-radius: 50%;
}
#section-InvRelCont {
    background: url('../img/solar-panel-bg.png') no-repeat #fcfbfa;
    background-position: bottom left;
    background-size: 20%;
    width: 100%;
}
.form-control::placeholder {
    color: #b5b5b5; 
    font-size: 13px;
    opacity: 1; /* Bootstrap sets opacity */
}
.section-whychooseOnsite .why-choose-swiper h6{
  font-size: 13px;
}
.section-whychooseOnsite .why-choose-swiper p{
  font-size: 12px;
}

  #teamModal .teamImg,#directorModal .teamImg{
    width: 90%;
  }
.modal-xl {
  max-width: 75%;
}
/* home silder */
.home-counter-arrow{
  position: absolute;
    bottom: 30px;          /* distance from bottom */
              /* align left */
    z-index: 10;
    color: #fff;
}
.pspnew h3{
  font-size: 26px ;
}
.pspnew p{
  font-size: 14px;
}

 #homeSlide .home-carousel:before{
    content: " ";
    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 5px;
    background: rgba(0, 0, 0, 0.30);
}

.logo-img{
  width: 200px;
}
.utility-impact-scale .display-6{
  font-size: 2rem;
}

.psp-card {
  position: relative;
  width: 80%;
  max-width: 320px;   /* desktop size */
  border-radius: 20px;
}

.psp-image {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 20px;
}

/* Blue overlapping box */
.psp-label {
  position: absolute;
    bottom: -50px;
    left: -40px;
  /* position: absolute;
 
  left: 20px;
  background: #114a78;
  color: #fff;
  padding: 18px;
  border-radius: 16px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.2); */
}

.psp-label h3 {
  margin: 0;
  font-size: 22px;
  font-weight: 700;
}

.psp-label p {
  margin: 5px 0 0;
  font-size: 14px;
  opacity: 0.9;
}
.about-vision-mission .mission-card div strong,.about-vision-mission-mobile .mission-card div strong{
font-size:14.5px;
}
/* Mobile only */
@media (max-width: 575px) {
  .about-sustainblilty {
    padding-bottom: 145px;
  }

  .section-Decarbonization {
    background-size: 70%;
    background-position-x: 52%;
    background-position: bottom;

  }

  .about-utility {
    background-size: contain;
    padding-bottom: 120px;
  }
   .section-Decarbonization {
       background: none;
   
      }
           .section-careercoreval .position-relative {
      padding-bottom: 50px;
  }
    .nav-tabs .nav-link, .investor-tabsection .nav-tabs .nav-link {
        border: none;
  }
     #investorTab, .nav-tabs {
    
    overflow-x: auto;
    white-space: nowrap;

    /* Firefox */
   
  }
    .bottom-20{
    bottom: -14%;
  }
  .psp-section .top {
    top: 86%;
    /* bottom: -5%; */
}
  .mobile-section{
    padding: 25px 0 !important;
  }
   #teamModal .teamImg,#directorModal .teamImg{
   width: 100%;
}
  .modal-xl {
  max-width: 100%;
}
  .home-swiper .swiper-wrapper  .swiper-slide{
    height:50vh
 }
  .pspnew p{
  font-size: 16px !important;
}
.logo-img{
  width: 200px;
}
}

/* Large mobile / small tablet */
@media (min-width: 576px) and (max-width: 767px) {
  .about-sustainblilty {
    padding-bottom: 145px;
  }

  .section-Decarbonization {
    background-size: 70%;
    background-position-x: 52%;
    background-position: bottom;

  }

  .about-utility {
    background-size: contain;
    padding-bottom: 120px;
  }
   .section-Decarbonization {
       background: none;
   
      }
           .section-careercoreval .position-relative {
      padding-bottom: 50px;
  }
  .nav-tabs .nav-link, .investor-tabsection .nav-tabs .nav-link {
        border: none;
  }
  #investorTab, .nav-tabs {
    
    overflow-x: auto;
    white-space: nowrap;

    /* Firefox */
    scrollbar-width: none;

    /* IE & Edge */
    -ms-overflow-style: none;
  }
  .bottom-20{
    bottom: -14%;
  }
  .psp-section .top {
    top: 86%;
    /* bottom: -5%; */
}
  .mobile-section{
    padding: 25px 0 !important;
  }
  #teamModal .teamImg,#directorModal .teamImg{
    width: 100%;
  }
    .modal-xl {
    max-width: 100%;
  }
    .home-swiper .swiper-wrapper  .swiper-slide{
      height:50vh
  }
  .pspnew p{
    font-size: 16px !important;
  }
  .logo-img{
    width: 200px;
  }
}


/* Tablet */
@media (min-width: 768px) and (max-width: 991px) {
  .about-sustainblilty {
    padding-bottom: 200px;
  }

  .about-utility {
    background-size: contain;
    padding-bottom: 250px;
  }
      .section-careercoreval .position-relative {
      padding-bottom: 50px;
  }
  .section-careercoreval .image-right {
        width: 55%;
        position: absolute;
        top: 26%;
        right: 0;
    }
    .section-Decarbonization {
       background: none;
   
      }
        .nav-tabs .nav-link, .investor-tabsection .nav-tabs .nav-link {
        border: none;
  }
    #investorTab, .nav-tabs {
    
    overflow-x: auto;
    white-space: nowrap;

    /* Firefox */
    scrollbar-width: none;

    /* IE & Edge */
    -ms-overflow-style: none;
  }
  .bottom-20{
    bottom: -6%;
  }
  .psp-section .top {
    top: 92%;
  }
  #homeSlider .carousel-caption h2 {
    color: #fff;
    font-size: 3rem;
    font-weight: 600;
    margin-bottom: 14px;
}
  #homeSlider .custom-carousel-counter {
    bottom: 8%;
    left: 12%;
}
  #homeSlider .carousel-control-next {
        right: 78% !important;
        /* transform: translateX(-44%); */
    }
   #homeSlider .home-carousel{
    height:50vh;
   }
  #homeSlider .home-carousel video{
   object-fit: cover;
   }
     .modal-xl {
  max-width: 100%;
}
  #teamModal .teamImg,#directorModal .teamImg{
    width: 80%;
  }
  .home-swiper .swiper-wrapper  .swiper-slide{
    height:50vh
 }
  .psp-card {
    max-width: 100%;
  }

  .psp-label {
          bottom: -40px;
        left: -70px;
  }

 
}

/* Laptop */
@media (min-width: 992px) and (max-width: 1199px) {
  .about-utility {
    background-size: contain;
    padding-bottom: 350px;
  }
    .bottom-20{
      bottom:48%;
    }
}

/* Desktop */
@media (min-width: 1200px) and (max-width: 1399px) {
  .about-utility {
    background-size: contain;
    padding-bottom: 400px;
  }
  .section-Decarbonization {
           background-size: 25%;
        background-position-y: 18%;
        background-position-x: 55%;
  }
  .bottom-20{
      bottom:24%;
    }
   
}

/* Large screens */
@media (min-width: 1400px)  and (max-width: 1600px){
  .about-utility {
    background-size: contain;
    padding-bottom: 470px;
  }
      .section-Decarbonization {
        background-size: 20%;
        background-position-y: 33%;
        background-position-x: 56%;
    }
}
/* Large screens */
@media (min-width: 1601px)  and (max-width: 1920px){
  .about-utility {
    background-size: contain;
    padding-bottom: 570px;
  }
    .section-Decarbonization {
    background-size: 18%;
    background-position-y: 22%;
    background-position-x: 54%;
  }
}
/* Large screens */
@media (min-width: 1921px) {
  .about-utility {
    background-size: cover;
    padding-bottom: 750px;
  }
    .section-Decarbonization {
        background-size: 13%;
        background-position-y: 36%;
        background-position-x: 54%;
    }
}


/* ===== Mobile First Approach ===== */

/* Extra small devices – phones (default) */
/* 0px → 575px */
/* No media query needed */

@media (max-width: 575px) {

  .sustainability-card .border-end,
  .section-InvRelCont .border-end {
    border-right: none !important;
  }

  #investorTabContent .accordion-body .float-end {
    float: right !important;
  }
 .section-keyImpact {
       background: url('../img/key-impact-sustainability-mobile-bg.webp') no-repeat center center;
      background-size: cover;
        padding-bottom: 150px;
  }
   .career-overview {
    background: none;
  }
    .career-overview .career-card img{
    width: 60px;
  }
   .impact-divider {
    width: 1px;
    height: 135px;
    margin: auto;
  }
      #leadershipTeam .team-leadership .carousel-item{
    height: 26rem;
    }
}

/* Small devices – large phones */
@media (min-width: 576px) {
  #impact-scale-utility .row .col-5 {
    width: 49% !important;
  }

  #impact-scale-utility .row .col-1 {
    width: 2% !important;
  }

  .divider-wrap {
    padding: 0;
  }

  .impact-divider {
    width: 1px;
    height: 135px;
    margin: auto;
  }

  /* Media & letter Start */
  #section-medialist .media .carousel-inner .title {
    max-height: 100px;
    overflow: hidden;
    transition: max-height .4s ease;
  }

  #section-medialist .media .carousel-inner .description {
    max-height: 200px;
    overflow: hidden;
    transition: max-height .4s ease;
  }


  .sustainability-card .border-end,
  .section-InvRelCont .border-end {
    border-right: none !important;
  }

  #investorTabContent .accordion-body .float-end {
    float: right !important;
  }
 .section-keyImpact {
    background: url('../img/key-impact-sustainability-mobile-bg.webp') no-repeat center center;
    background-size: cover;
    padding-bottom: 150px;
  }
  .career-overview {
    background: none;
  }
  .career-overview .career-card img{
    width: 60px;
  }
}

/* Tablets */
@media (min-width: 768px) {
  .impact-divider {
    width: 1px;
    height: 135px;
  }

  /* Media & letter Start */
  #section-medialist .media .carousel-inner .title {
    height: 65px;
    overflow: hidden;
    transition: max-height .4s ease;
  }

  #section-medialist .media .carousel-inner .description {
    height: 70px;
    overflow: hidden;
    transition: max-height .4s ease;
  }

  .sustainability-card .border-bottom {
    border-bottom: 1px solid #dee2e6 !important;
  }

  .sustainability-card .border-end{
    border-right: none !important;
  }
  .section-InvRelCont .border-end {
    border-right: 1px solid #dee2e6 !important;
  }
    .section-keyImpact {
        background: url('../img/key-impact-sustainability-mobile-bg.webp') no-repeat center bottom;
        background-size: cover;
        padding-bottom: 328px;
    }
 
   .career-overview .career-card img{
    width: 75px;
  }


}

/* Laptops / Small desktops */
@media (min-width: 992px) {

  /* investor */
  #section-spclPurpose {
    background-image: url('../img/windp-bg.png');
    background-position: right bottom;
    background-repeat: no-repeat;
    background-size: auto 96%;
  }
  .section-keyImpact {
      background: url('../img/keyImpact.webp') no-repeat center center;
      background-size: cover;
      padding-bottom: 0px;
  }
  .career-overview {
      background: url('../img/social-imact-bg1.png') no-repeat right bottom;
      background-size: 16%;
      background-position-x: 100%;
  }
  .career-overview .career-card img{
    width: 250px;
  }
  .section-careercoreval .image-right {
    width: 55%;
    position: absolute;
    top: 45%;
    right: 0;
  }
    .sustainability-card .border-bottom {
    border-bottom: none !important;
  }


  .section-InvRelCont .border-end,.sustainability-card .border-end {
    border-right: 1px solid #dee2e6 !important;
  }
  #leadershipTeam .team-leadership .carousel-item{
  height: 20rem;
  }
}

/* Large desktops */
@media (min-width: 1200px) {
  /* Media & letter Start */
  /* #section-media-letter .media-letter .media-item a {
    width: 62% !important;
  } */
    .solution-swiper .onsite-card h6{
    height: 34px;
   }
}

/* Extra large screens */
@media (min-width: 1400px) {
  .career-section,.investor-section,.utility-section,.susti-section,.about-section,.project-section,.psp-section,.home-section{
    padding:55px 0px;
  }
  .section{
    padding: 55px 0px 0px 0px;
   }
       .about-business-offsite {
      
        background-size: contain;
        padding-bottom: 380px;
    }
    .solution-swiper .onsite-card h6{
      height: 14px;
    }
    .solution-swiper .onsite-card .card-para{
      height: 70px;
    }
    #homeSlider .carousel-control-prev {
    left: 13.5% !important;
    transform: translateX(-8%);
  }
  #homeSlider .carousel-control-next {
      right:81% !important;
      /* transform: translateX(-44%); */
  }
  #homeSlider  .custom-carousel-counter {
      position: absolute;
      bottom: 9%;
      left: 15%;
    
  }
      .about-sustainblilty {
   
      background-size: cover;
      padding-bottom: 330px;
   }
}
@media (min-width: 1921px) {
 
       .about-business-offsite {
      
        background-size: contain;
        padding-bottom: 540px;
    }
    .about-sustainblilty {
   
      background-size: cover;
      padding-bottom: 480px;
   }
  
}
@keyframes countUp {
  from { content: "0"; }
  to { content: "60"; }
}